# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# For developer releases
%global devrel %{nil}

# TODO: BR:/R: perl(Net::DNS::SEC) when available

Summary:	Interface to the DNS resolver
Name:		perl-Net-DNS
Version:	1.47
Release:	1.0.cf.%{__distinit}%{__distvers}
# License is close to MIT-CMU but wording is slightly different
License:	MIT
URL:		http://www.net-dns.org/
Source0:	http://www.net-dns.org/download/Net-DNS-%{version}%{?devrel}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	sed
# Module Runtime
BuildRequires:	perl(base) >= 2.13
BuildRequires:	perl(Carp) >= 1.10
BuildRequires:	perl(Config)
BuildRequires:	perl(constant) >= 1.17
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Digest::BubbleBabble) >= 0.02
BuildRequires:	perl(Digest::HMAC) >= 1.03
BuildRequires:	perl(Digest::MD5) >= 2.37
BuildRequires:	perl(Digest::SHA) >= 5.23
BuildRequires:	perl(Encode) >= 2.26
BuildRequires:	perl(Exporter) >= 5.63
BuildRequires:	perl(File::Spec) >= 3.29
BuildRequires:	perl(FileHandle)
BuildRequires:	perl(integer) >= 1
BuildRequires:	perl(IO::File) >= 1.14
BuildRequires:	perl(IO::Select) >= 1.17
BuildRequires:	perl(IO::Socket) >= 1.3
BuildRequires:	perl(IO::Socket::IP) >= 0.38
BuildRequires:	perl(MIME::Base64) >= 3.07
%if 0%{?fedora} > 26 || 0%{?rhel} > 8
BuildRequires:	perl(Net::LibIDN2) >= 1
%else
BuildRequires:	perl(Net::LibIDN)
%endif
BuildRequires:	perl(overload) >= 1.06
BuildRequires:	perl(PerlIO) >= 1.05
BuildRequires:	perl(Scalar::Util) >= 1.19
BuildRequires:	perl(Socket) >= 1.81
BuildRequires:	perl(Socket6)
BuildRequires:	perl(strict) >= 1.03
BuildRequires:	perl(Time::Local) >= 1.19
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings) > 1.05
# Test Suite
BuildRequires:	perl(File::Find) >= 1.13
BuildRequires:	perl(Test::Builder) >= 0.8
BuildRequires:	perl(Test::More) >= 0.8
BuildRequires:	perl(Test::Pod) >= 1.45
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Config)
Requires:	perl(Data::Dumper)
Requires:	perl(Digest::BubbleBabble) >= 0.02
Requires:	perl(Digest::HMAC) >= 1.03
Requires:	perl(Digest::MD5) >= 2.13
Requires:	perl(Digest::SHA) >= 5.23
Requires:	perl(Encode) >= 2.26
Requires:	perl(File::Spec) >= 3.29
Requires:	perl(IO::Socket::IP) >= 0.38
%if 0%{?fedora} > 26 || 0%{?rhel} > 8
Requires:	perl(Net::LibIDN2) >= 1
%else
Requires:	perl(Net::LibIDN)
%endif
Requires:	perl(PerlIO) >= 1.05
Requires:	perl(Scalar::Util) >= 1.19
Requires:	perl(Socket6)

%description
Net::DNS is a collection of Perl modules that act as a Domain Name
System (DNS) resolver. It allows the programmer to perform DNS queries
that are beyond the capabilities of gethostbyname and gethostbyaddr.

The programmer should be somewhat familiar with the format of a DNS
packet and its various sections. See RFC 1035 or DNS and BIND (Albitz
& Liu) for details.

%package Nameserver
Summary:	DNS server for Perl
Requires:	perl-Net-DNS = %{version}-%{release}
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description Nameserver
Instances of the "Net::DNS::Nameserver" class represent DNS server
objects.

# perl-generators doesn't grok this properly
%global __requires_exclude ^perl\\(CONFIG|OS_CONF\\)

%prep
%setup -q -n Net-DNS-%{version}%{?devrel}

# Fix shellbangs in demo scripts
sed -i -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' demo/*

%build
perl Makefile.PL --non-fatal-online-tests INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test TEST_VERBOSE=1

%files
%license LICENSE
%doc Changes README* demo/
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::DNS.3*
%{_mandir}/man3/Net::DNS::*
# perl-Net-DNS-Nameserver
%exclude %{perl_vendorlib}/Net/DNS/Nameserver.pm
%exclude %{_mandir}/man3/Net::DNS::Nameserver.3*
# Win32 files
%exclude %{perl_vendorlib}/Net/DNS/Resolver/cygwin.pm
%exclude %{_mandir}/man3/Net::DNS::Resolver::cygwin.3*
%exclude %{perl_vendorlib}/Net/DNS/Resolver/MSWin32.pm
%exclude %{_mandir}/man3/Net::DNS::Resolver::MSWin32.3*

%files Nameserver
%{perl_vendorlib}/Net/DNS/Nameserver.pm
%{_mandir}/man3/Net::DNS::Nameserver.3*

%changelog
* Thu Sep 19 2024 Paul Howarth <paul@city-fan.org> - 1.47-1.0.cf
- Update to 1.47
  - Fix issue with parallel run of TSIG tests (CPAN RT#155337)
  - Restore current domain name following $INCLUDE in zone file
  - Update RFC and other document referneces

* Tue Aug 20 2024 Paul Howarth <paul@city-fan.org> - 1.46-1.0.cf
- Update to 1.46
  - Resync with IANA DNS Parameters registry
  - Revise documentation for Packet.pm and Header.pm
  - Random ID cache moved from header->id to packet->encode
  - Restructure resolver method inheritance tree
- Run tests verbosely

* Sun Jul 21 2024 Paul Howarth <paul@city-fan.org> - 1.45-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri May  3 2024 Paul Howarth <paul@city-fan.org> - 1.45-1.0.cf
- Update to 1.45
  - Resync with IANA DNSSEC Algorithm Numbers registry
  - Resync with IANA DS Digest Algorithms registry
  - Add support for EDNS CO flag
  - Net::DNS::Resolver::UNIX created $ENV{PATH} key if one didn't exist
    (CPAN RT#152756)

* Thu Feb 15 2024 Paul Howarth <paul@city-fan.org> - 1.44-1.0.cf
- Update to 1.44
  - Simplify testing of resolver error paths
  - Prevent read beyond end of RDATA in corrupt SVCB RR

* Fri Jan 26 2024 Paul Howarth <paul@city-fan.org> - 1.43-1.0.cf
- Update to 1.43
  - Update b.root-servers.net addresses in resolver hints
  - Improve accuracy and completeness of dependency metadata
  - Nameserver: Fix hangs on persistent TCP connection (Windows)
  - IPSECKEY: Leave gateway undefined for gatetype 0
  - Remove remaining support for GOST
  - Nameserver.pm: Fix DoS vulnerability in TCP handling (CPAN RT#151240)
  - Net::DNS::Resolver::new would hang for 150s on Win32 with no active DNS
    (CPAN RT#151232)
  - Fix bug in Net::DNS::Resolver::Recurse::_referral (CPAN RT#151075)
  - Address deep recursion in Net::DNS::Resolver::Recurse (CPAN RT#151074)

* Thu Dec 28 2023 Paul Howarth <paul@city-fan.org> - 1.42-1.0.cf
- Update to 1.42
  - Fix hang in Net::DNS::Nameserver on Windows (CPAN RT#150695)

* Mon Nov 27 2023 Paul Howarth <paul@city-fan.org> - 1.41-1.0.cf
- Update to 1.41
  - Accept inbound Ethernet "Jumbo" UDP packet
  - Facilitate decoding of mDNS/SD packets with compressed RDATA
  - Update Parameters.pm to resync with IANA registry
  - Fix error trying to use Socket macro SO_REUSEPORT in Windows
    (CPAN RT#150550)

* Mon Sep  4 2023 Paul Howarth <paul@city-fan.org> - 1.40-1.0.cf
- Update to 1.40
  - Add support for SVCB dohpath and ohttp parameters
  - More robust test of bgbusy() SpamAssassin workaround
  - t/05-SOA.t test would fail in 2038 (CPAN RT#149456)
  - Fix deep recursion on subroutine "Net::DNS::Resolver::Recurse::_recurse"
    (CPAN RT#149280)

* Fri Jul 21 2023 Paul Howarth <paul@city-fan.org> - 1.39-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Paul Howarth <paul@city-fan.org> - 1.39-1.1.cf
- Drop MODULE_COMPAT dependency from Fedora 38 onwards

* Thu Jun  1 2023 Paul Howarth <paul@city-fan.org> - 1.39-1.0.cf
- Update to 1.39
  - Fix udpsize uninitialized value (CPAN RT#148340)

* Tue May 30 2023 Paul Howarth <paul@city-fan.org> - 1.38-2.0.cf
- Rebuild to sync with Rawhide

* Tue May  9 2023 Paul Howarth <paul@city-fan.org> - 1.38-1.0.cf
- Update to 1.38
  - Mailbox.pm: Improve robustness of address parsing
  - Deprecate packet->edns->size() method
  - Deprecate rdatastr() historical RR subtype method
  - Major overhaul of pre-installation test scripts
  - Add new t/TestToolkit.pm
  - Refactor socket code and control structure in Nameserver.pm and improve
    efficiency of zonefile data storage and retrieval
  - Nameserver.pm: Fix peerhost undefined after $sock->accept (CPAN RT#147507)
  - EDNS extended rcode was not handled correctly (CPAN RT#148273)
  - Multicast DNS flag broke Net::DNS::Parameters::classbyval (CPAN RT#148274)

* Tue Mar 14 2023 Paul Howarth <paul@city-fan.org> - 1.37-1.0.cf
- Update to 1.37
  - Add links to relevant RFCs in package documentation
  - Bug fix: resolver->axfr(undef) failed silently (CPAN RT#147038)
  - Fix case sensitivity issue with AXFR (CPAN RT#145944)

* Tue Jan 24 2023 Paul Howarth <paul@city-fan.org> - 1.36-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 31 2022 Paul Howarth <paul@city-fan.org> - 1.36-1.0.cf
- Update to 1.36
  - Adopt JSON as presentation notation for EDNS options
  - Disallow zero packet->id in outbound packet
  - Remove deprecated 2-argument TSIG->create() method
  - Revise TSIG test scripts and documentation

* Wed Oct  5 2022 Paul Howarth <paul@city-fan.org> - 1.35-1.0.cf
- Update to 1.35
  - Improve SVCB error reporting
  - Fix accept_reply test, which failed with matched consecutive "random"
    generated packet->id (CPAN RT#144328)
  - Fix spelling errors (CPAN RT#144299)

* Mon Jul 25 2022 Paul Howarth <paul@city-fan.org> - 1.34-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 30 2022 Paul Howarth <paul@city-fan.org> - 1.34-1.0.cf
- Update to 1.34
  - Improve robustness of EDNS option compose/decompose functions
  - Simplify code in Makefile.PL
  - Avoid "Useless use of a constant in void context" warning (CPAN RT#142426)

* Mon Mar 28 2022 Paul Howarth <paul@city-fan.org> - 1.33-3.0.cf
- Rebuild to sync with Rawhide

* Thu Feb 24 2022 Paul Howarth <paul@city-fan.org> - 1.33-2.0.cf
- Rebuild to sync with Rawhide

* Fri Dec 17 2021 Paul Howarth <paul@city-fan.org> - 1.33-1.0.cf
- Update to 1.33
  - Test t/05-SVCB.t on Perl 5.18.0 failed with deep recursion (CPAN RT#137768)
  - Fix $resolver->send wrongly overwriting RD flag in user's packet
    (CPAN RT#132921, CPAN RT#144136)

* Mon Jul 26 2021 Paul Howarth <paul@city-fan.org> - 1.32-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 18 2021 Paul Howarth <paul@city-fan.org> - 1.32-1.0.cf
- Update to 1.32
  - Text: Offer both Unicode and escaped-ASCII strings
  - Add LICENSE file to comply with Fedora/RedHat announcement
  - Net::DNS::RR::ZoneFile parser erroneously stripped line terminators in
    quoted string forming part of multiline RR (CPAN RT#136666)
- Fix dist tags for Alma and Rocky Linux

* Mon May  3 2021 Paul Howarth <paul@city-fan.org> - 1.31-1.0.cf
- Update to 1.31
  - Improve implementation of SVCB record

* Tue Mar 30 2021 Paul Howarth <paul@city-fan.org> - 1.30-1.0.cf
- Update to 1.30
  - Simplify parsing of multi-line RRs in zone file
  - Improve robustness of "dry" resolver tests
  - Avoid deep recursion in non-fatal test report

* Tue Feb  2 2021 Paul Howarth <paul@city-fan.org> - 1.29-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 19 2020 Paul Howarth <paul@city-fan.org> - 1.29-1.0.cf
- Update to 1.29
  - Include test number in summary of failed non-fatal tests
  - Remove Net::DNS::SEC specific tests
  - Fix faulty test plan in t/08-recurse.t

* Sat Oct 24 2020 Paul Howarth <paul@city-fan.org> - 1.28-1.0.cf
- Update to 1.28
  - Eliminate indirect object syntax
  - Eliminate grep/map <expression>

* Sun Sep 13 2020 Paul Howarth <paul@city-fan.org> - 1.27-1.0.cf
- Update to 1.27
  - Net::DNS::RR::LOC erroneously stripped non-default values from string
    representation (CPAN RT#133203)

* Fri Aug  7 2020 Paul Howarth <paul@city-fan.org> - 1.26-1.0.cf
- Update to 1.26
  - Add HTTPS/SVCB packages
  - Fix EDNS OPT handling (CPAN RT#132921)

* Sat Jun 27 2020 Paul Howarth <paul@city-fan.org> - 1.25-1.0.cf
- Update to 1.25
  - Parsing of TSIG keyfiles made more robust

* Fri Jun 26 2020 Paul Howarth <paul@city-fan.org> - 1.24-4.0.cf
- Perl 5.32 rebuild

* Wed May 27 2020 Paul Howarth <paul@city-fan.org> - 1.24-1.0.cf
- Update to 1.24
  - Accept TSIG key generated by BIND tsig-keygen
  - Add Net::DNS::RR::AMTRELAY package

* Thu Mar 19 2020 Paul Howarth <paul@city-fan.org> - 1.23-1.0.cf
- Update to 1.23
  - Deprecate 2-argument form of TSIG create()
  - Fix documentation relating to TSIG on ddns update (CPAN RT#132170)
  - Fix undefined errorstring/warning when axfr fails (CPAN RT#131906)

* Fri Feb 14 2020 Paul Howarth <paul@city-fan.org> - 1.22-1.0.cf
- Update to 1.22
  - Fix parse issue in Net::DNS::RR->token (CPAN RT#131579)
  - Provide rudimentary decode and print for DSO packet

* Thu Feb  6 2020 Paul Howarth <paul@city-fan.org> - 1.21-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Aug 31 2019 Paul Howarth <paul@city-fan.org> - 1.21-1.0.cf
- Update to 1.21
  - Fix error report for non-existent or recursive zone file $INCLUDE
  - Emit one deprecation warning on invocation of obsolete method
  - Rework OPT.pm EDNS0 option construction
  - Remove obsolete Net::DNS::RR::DLV package
  - Add Net::DNS::RR::ZONEMD package
  - Fix background TCP query logic expecting to read entire response at once
    (CPAN RT#128901)

* Fri Jul 26 2019 Paul Howarth <paul@city-fan.org> - 1.20-4.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Mar 24 2019 Paul Howarth <paul@city-fan.org> - 1.20-1.0.cf
- Update to 1.20
  - Provide a more informative exception report if application code has no
    "use Net::DNS::SEC" declaration but nevertheless attempts to invoke the
    DNSSEC sign or verify features (CPAN RT#127307)
  - Recurse.pm failed to resolve domain "kickboxingireland.ie" (CPAN RT#128081)
  - Revise documentation examples to use AAAA instead of A records
  - TSIG MAC representation changed to Base64 (align with BIND)
  - Update Parameters.pm to resync with IANA registry
  - Refactor resolver test scripts

* Wed Feb  6 2019 Paul Howarth <paul@city-fan.org> - 1.19-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 15 2018 Paul Howarth <paul@city-fan.org> - 1.19-1.0.cf
- Update to 1.19
  - Show structure of EDNS options using Perl-like syntax
  - Net::DNS::Resolver::Base now uses 3 args open (CPAN RT#127557)
  - Incorrect logic can cause DNS search to emit fruitless queries
    (CPAN RT#127182)

* Tue Sep 25 2018 Paul Howarth <paul@city-fan.org> - 1.18-1.0.cf
- Update to 1.18
  - DNS resolution was broken when options ndots used in /etc/resolv.conf
    (CPAN RT#127012)
  - Net::DNS::ZoneFile->parse() failed if include directory specified
    (CPAN RT#127018)
  - Documentation revised to remove ambiguous use of "answer", which had been
    used to refer to both the answer section of a packet and the entire reply
    packet received from a nameserver 

* Wed Jul 25 2018 Paul Howarth <paul@city-fan.org> - 1.17-1.0.cf
- Update to 1.17
  - AXFR: 1 record per packet responses (CPAN RT#125890)
  - New NSEC3 for empty non-terminal left type bitmap undefined
    (CPAN RT#125889)
  - RDATA name compression pointer calculated incorrectly (CPAN RT#125882)

* Mon Jul 16 2018 Paul Howarth <paul@city-fan.org> - 1.16-1.0.cf
- Update to 1.16
  - New NSEC3 encloser(), nextcloser() and wildcard() instance methods return
    closest encloser, "next closer" and putative wildcard names respectively
  - Add new NSEC covers() instance method
  - New NSEC typemap() instance method interrogates type list
  - IO::Socket::INET6 removed from recommended module metadata; IPv6 requires
    IO::Socket::IP, which is now a core package
  - No requirement to escape @ in unquoted contiguous string
- Re-enable online tests, but in non-fatal mode

* Fri Feb  9 2018 Paul Howarth <paul@city-fan.org> - 1.15-1.0.cf
- Update to 1.15
  - GOST R 34.11-94 hash algorithm: end of life 1st Jan 2018 per sunset clause
    in successor standard GOST R 34.11-2012; Digest::GOST removed from the
    recommended module metadata, but will still be used if available

* Mon Dec 18 2017 Paul Howarth <paul@city-fan.org> - 1.14-1.0.cf
- Update to 1.14
  - 'use base' should not be used in packages with several subpackages defined
    (CPAN RT#123702)
  - Fix Net::DNS::Nameserver malformed message on big axfr (CPAN RT#123676)

* Wed Oct 18 2017 Paul Howarth <paul@city-fan.org> - 1.13-1.0.cf
- Update to 1.13
  - New feature: IDN query support
    - Queries for domain names containing non-ASCII characters are now
      possible on Unicode platforms using CPAN Net::LibIDN2

* Sat Aug 19 2017 Paul Howarth <paul@city-fan.org> - 1.12-1.0.cf
- Update to 1.12
  - Fix CPAN RT#122586: Persistent UDP reports false timeouts
  - Fix CPAN RT#122352: bgsend(): TCP retry can stall for IO::Socket::IP before
    version 0.38
  - CDS/CDNSKEY: Implement RFC8078 erratum 5049
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Mon Jun 26 2017 Paul Howarth <paul@city-fan.org> - 1.11-1.0.cf
- Update to 1.11
  - Fix CPAN RT#122138: Send a UDP query with udppacketsize=512
  - Feature: Extract default resolver configuration from OS/390 MVS datasets

* Sun May  7 2017 Paul Howarth <paul@city-fan.org> - 1.10-1.0.cf
- Update to 1.10
  - Fix CPAN RT#120748: Net::DNS::Resolver::MSWin32 critical issue
  - EBCDIC character encoding support (CPAN RT#18819)
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Fri Mar 24 2017 Paul Howarth <paul@city-fan.org> - 1.09-1.0.cf
- Update to 1.09
  - Fix CPAN RT#120542: Fails tests when no "." in @INC
  - Fix CPAN RT#120470: Fragmented TCP length not correctly reassembled
  - Add mechanism to encode/decode EDNS option octet strings (CPAN RT#75357)

* Mon Feb 20 2017 Paul Howarth <paul@city-fan.org> - 1.08-1.0.cf
- Update to 1.08
  - Fix CPAN RT#120208: Unable to install 1.07 in local::lib environment
  - Feature CPAN RT#119679: Net::DNS::Nameserver: UpdateHandler for responding
    to UPDATE packets
  - Feature CPAN RT#75357: Net::DNS::Nameserver: optionmask (similar to
    headermask) added to allow user to set EDNS option in reply packet
  - Discontinue support for pre-5.6 perl: remove pre-5.6 workarounds and
    outdated language features
- Drop IO::Socket::INET6 dependency where we have IO::Socket::IP

* Fri Dec 30 2016 Paul Howarth <paul@city-fan.org> - 1.07-1.0.cf
- Update to 1.07
  - Fix CPAN RT#118598/CPAN RT#108908: Serious Makefile.PL issues;
    "make install" now suppressed if pre-1.01 version detected
  - Fix CPAN RT#115558: Net::DNS::Nameserver does not allow EDNS replies
  - Fix CPAN RT#114917: Net::DNS::ZoneFile fails to parse mixed case mnemonics
  - Fix CPAN RT#114876: Use of uninitialized value in lc at MSWin32.pm line 77
  - Fix CPAN RT#114819: Net::DNS fails to compile with taint checks enabled
  - Feature: Add support for dynamic RR subtype package creation per
    draft-levine-dnsextlang

* Sun Jun  5 2016 Paul Howarth <paul@city-fan.org> - 1.06-2.0.cf
- Fix CPAN RT#114819: Net::DNS fails to compile with taint checks enabled

* Sun May 29 2016 Paul Howarth <paul@city-fan.org> - 1.06-1.0.cf
- Update to 1.06
  - Fix CPAN RT#114918: Net::DNS::ZoneFile fails when unnamed RR follows $ORIGIN
  - Fix CPAN RT#114351: Case sensitive compression breaks
    resolver->nameservers()
  - Fix CPAN RT#113579: Net::DNS::Resolver dies on scoped IPv6 nameserver
    address
  - Fix CPAN RT#113020: Resolve::Recurse hangs
  - Fix CPAN RT#112860: Improperly terminated AXFR at t/08-IPv4.t line 446
- BR: perl-generators where available

* Tue Mar  8 2016 Paul Howarth <paul@city-fan.org> - 1.05-1.0.cf
- Update to 1.05
  - Fix CPAN RT#111559: 1.04: TSIG not working anymore (TSIG.pm)
  - Fix CPAN RT#108908: Installing recent version gets shadowed by old version;
    warnings added to Makefile.PL and t/00-version.t
  - Fix CPAN RT#66900: Net::DNS::Async unable to retry truncated UDP using TCP
    because of limitations in Net::DNS
- Explicitly disable online tests, which are getting rather flaky
- Simplify find command using -delete

* Wed Dec  9 2015 Paul Howarth <paul@city-fan.org> - 1.04-1.0.cf
- Update to 1.04
  - Fix CPAN RT#109183: Semantics of "retry" and "retrans" options has changed
    with 1.03
  - Fix CPAN RT#109152: Deprecated method make_query_packet breaks calling code
  - Fix CPAN RT#109135: Resolver behaves differently with long and short IPv6
    address format
  - Fix CPAN RT#108745: Net::DNS::Resolver bgsend

* Sun Nov  8 2015 Paul Howarth <paul@city-fan.org> - 1.03-1.0.cf
- Update to 1.03
  - Fix CPAN RT#107897: t/10-recurse.t freezes, never completes
  - Fix CPAN RT#101978: Update Net::DNS to use IO::Socket::IP
  - Fix CPAN RT#84375: Timeout doesn't work with bgsend/bgread
  - Fix CPAN RT#47050: Persistent sockets for Resolver::bg(send|read|isready)
  - Fix CPAN RT#15515: bgsend on TCP
- Re-enable t/10-recurse.t
- Disable online tests, which seem to be failing
- Add dependency filter for perl(CONFIG); perl-generators too clever for its
  own good

* Wed Sep 16 2015 Paul Howarth <paul@city-fan.org> - 1.02-1.0.cf
- Update to 1.02
  - Suppress messages: Can't locate Net/DNS/Resolver/linux.pm (CPAN RT#107052)
  - Dependency on MIME::Base32 made Net::DNS not installable on MSWin32
    (CPAN RT#106916)
  - Fix Net::DNS::Resolver::Recurse and IPv6 Reverse DNS (CPAN RT#106565)
  - Version test for Pod::Test was broken (CPAN RT#105808)
-  Avoid t/10-recurse.t, now prone to hanging (CPAN RT#107152)

* Tue Jul  7 2015 Paul Howarth <paul@city-fan.org> - 1.01-1.0.cf
- Update to 1.01
  - Feature: the RRs previously only available with Net::DNS::SEC are now
    integrated with Net::DNS; Net::DNS::SEC needs to be installed to enable
    the signature generation and verification functions
  - Fix CPAN RT#105491: Can't call method "zclass" on an undefined value...
  - Fix CPAN RT#105421: Dead link in Net::DNS::FAQ
  - Fix CPAN RT#104657: Wrong split on Cygwin
  - Fix CPAN RT#102810: Dynamic update: rr_add overrides ttl of zero
  - Fix CPAN RT#102809: CAA broken
- License changed from perl to MIT
- Package is now noarch

* Mon Jun 29 2015 Paul Howarth <paul@city-fan.org> - 0.83-3.0.cf
- Perl 5.22 rebuild

* Fri Feb 27 2015 Paul Howarth <paul@city-fan.org> - 0.83-1.0.cf
- Update to 0.83
  - Fix CPAN RT#101798: AUTOLOAD error confusing w/o reference to object class
  - Fix CPAN RT#101709: Provide separate control of IPv6 tests
  - Fix CPAN RT#101675: MX record with 0 preference fails to parse
  - Fix CPAN RT#101405: Install tests fail for v0.81 on Perl 5.21.7
- Re-enable IPv6 tests, which seem to be working again

* Thu Jan 22 2015 Paul Howarth <paul@city-fan.org> - 0.82-1.0.cf
- Update to 0.82
  - Support for IPv6 link-local addresses with scope_id (CPAN RT#100385)

* Wed Oct 29 2014 Paul Howarth <paul@city-fan.org> - 0.81-1.0.cf
- Update to 0.81
  - Fix CPAN RT#99571: AXFR BADSIG failures
  - Fix CPAN RT#99531: Resolver doc error - when is a 'bug' a 'bug'?
    [TSIG verification]
  - Fix CPAN RT#99528: TSIG::create fails with some filenames
  - Fix CPAN RT#99527: Random errors... [declaration with statement modifier]
  - Fix CPAN RT#99429: Infinite recursion in Net::DNS::Resolver::Recurse::send
    when following certain delegations with empty-non terminals
  - Fix CPAN RT#99320: Net::DNS::ZoneFile bug in "$ORIGIN ."
- Classify buildreqs by usage

* Tue Sep 23 2014 Paul Howarth <paul@city-fan.org> - 0.80-1.0.cf
- Update to 0.80
  - Removal of Win32::IPHelper support with cygwin: resolvers on Cygwin can
    get their DNS configuration from the registry directly via the /proc
    filesystem; getting rid of the other method reduces dependencies and makes
    installations less error prone
  - Rework CPAN RT#96119: "Too late to run INIT block" warning for
    "require Net::DNS"

* Mon Sep  8 2014 Paul Howarth <paul@city-fan.org> - 0.79-1.0.cf
- Update to 0.79
  - Add support for Android platform (CPAN RT#98149)
  - Net::DNS::Resolver->new mistakenly copied supplied arguments into default
    configuration on first instantiation (CPAN RT#97736)
  - Net::DNS::Resolver->retrans did not accept a value of 1 (used 2 instead)
    (CPAN RT#97502)
  - Configure CD flag in Net::DNS::Resolver->new (CPAN RT#83642)
  - Reverted workaround for TXT issue preventing propagation of rule updates
    for SpamAssassin versions earlier than 3.4.0 (CPAN RT#81760)
  - Net::DNS::Resolver::Recurse issued lots of unnecessary DNS requests
    (CPAN RT#16630)

* Fri Jul 11 2014 Paul Howarth <paul@city-fan.org> - 0.78-1.0.cf
- Update to 0.78
  - Fix nameserver identification on Cygwin (CPAN RT#97036)
  - Trailing comments were not stripped in /etc/resolv.conf (CPAN RT#96814)
  - Fix Net::DNS::Resolver->new() hang if nameserver :: exists (CPAN RT#96812)
  - Fix RFC 3597 (hex) parsing mistake (CPAN RT#96755)
  - Fix string treated as boolean in TXT (CPAN RT#96708)
  - Fix "Insecure dependency in connect" with Net::DNS::Resolver over TCP
    (CPAN RT#96608)
  - Fix Net::DNS::Resolver warns "Use of uninitialized value in length"
    (CPAN RT#96535)
  - Calling $resolver->nameservers multiple times returned an increasingly-long
    list (on some perl installations) (CPAN RT#96531)
  - Fix uninitialised decoding object when printing packet (CPAN RT#96439)

* Sun Jun 15 2014 Paul Howarth <paul@city-fan.org> - 0.77-1.0.cf
- Update to 0.77
  - Fix inefficient Net::DNS::SEC compatibility code
  - Insert missing plan 'no-plan' in 10-recurse.t (CPAN RT#96035)
  - Fix "Too late to run INIT block" warning for require Net::DNS
    (CPAN RT#96119)
  - Fix deep recursion problem on Cygwin (CPAN RT#96135)
  - Unlocalised $_ modified when reading config file (CPAN RT#96151)

* Sun May 25 2014 Paul Howarth <paul@city-fan.org> - 0.76-1.0.cf
- Update to 0.76
  - Set resolver configuration defaults at first instantiation instead of
    module load time (CPAN RT#67602)
  - Implement prefer_v6 resolver configuration attribute (CPAN RT#79568)
  - Fix incorrect parsing of nameserver lines in resolv.conf (CPAN RT#95596)
  - Fix test failure with IPv6 address in resolv.conf but without prerequisite
    IO::Socket::INET6 package installed (CPAN RT#95738)

* Thu May  8 2014 Paul Howarth <paul@city-fan.org> - 0.75-1.0.cf
- Update to 0.75
  - Iterate nameservers in AXFR (CPAN RT#79569)
  - TSIG: implement sign/verify for multi-packet message
    (CPAN RT#92433, CPAN RT#91241)
  - Implement TSIG verified zone transfer
  - Clarify documentation surrounding SRV RR sorting (CPAN RT#92626)
  - Resolver gave unhelpful errorstring when attempting to use IPv6-only
    nameserver without INET6 and Socket6 installed (CPAN RT#93764)
  - Compile-time constant in Domain.pm/Text.pm could not be used to store
    pointer to encoding object when using perlcc compiler (CPAN RT#94069)
- Skip the IPv6 tests as the error message test seems to be broken
- Drop %%defattr, redundant since rpm 4.4

* Thu Jan 16 2014 Paul Howarth <paul@city-fan.org> - 0.74-1.0.cf
- Update to 0.74
  - Fix nameserver crashes on malformed UDP query (CPAN RT#91306)
  - TSIG: fix incorrectly generated %%algbyval table (CPAN RT#91241)
  - Add CAA, EUI48 and EUI64 RR implementation

* Fri Nov 29 2013 Paul Howarth <paul@city-fan.org> - 0.73-1.0.cf
- Update to 0.73
  - Feature CPAN RT#53610: add TSIG validation support
  - Feature CPAN RT#84468: TSIG: add support for HMAC-SHA1 .. HMAC-SHA512
  - Fix CPAN RT#88778: $update->unique_push() does not work as advertised
  - Fix CPAN RT#88744: nameserver crashes on malformed TCP query
  - Fix CPAN RT#84601/CPAN RT#81942: fix memory leak on packet cleanup
  - Fix CPAN RT#84110: incorrect parsing of PTR records in zonefile
  - Fix CPAN RT#83755: erroneous attempt to invoke Net::LibIDN in Domain.pm
  - Fix CPAN RT#83078: can't locate Net/DNS/Resolver/linux.pm in @INC
  - Fix CPAN RT#83078: eval{ ... }; if ($@) { ... }; broken by threads?
  - Fix CPAN RT#83075: ZoneFile.pm wrongly rejects $TTL 0 directive
  - Fix CPAN RT#82621: error string empty after failed TCP query
  - Fix CPAN RT#82296: IPv6 with embedded IPv4 address not mapped to ip6.arpa
  - Fix CPAN RT#82294: perl taint removed in Domain and Text objects

* Mon Jul 22 2013 Paul Howarth <paul@city-fan.org> - 0.72-4.0.cf
- Perl 5.18 rebuild

* Sat Dec 29 2012 Paul Howarth <paul@city-fan.org> - 0.72-1.0.cf
- Update to 0.72
  - Fix CPAN RT#82148: nxrrset fails to ignore RDATA
  - Fix CPAN RT#82134: TSIG key and algorithm names not downcased in digest,
    Class not forced to ANY
  - Fix CPAN RT#82063: yxrrset, nxrrset and rr_del functions should force zero
    TTL
  - Fix CPAN RT#82047: clarify documentation to indicate that header counts may
    differ from the number of RRs present if a packet is corrupt
  - Fix CPAN RT#81941: clarify documentation to make clear that bgread will not
    switch to TCP when a truncated packet is received

* Sat Dec 15 2012 Paul Howarth <paul@city-fan.org> - 0.71-1.0.cf
- Update to 0.71
  - Add workaround for SpamAssassin (CPAN RT#81760); the rdatastr method for
    TXT RRs will return unconditionally quoted rdata fields to work around an
    issue with updating SpamAssassin rules (this workaround will be reverted
    after the release of a version of SpamAssassin that resolves the issue)
  - Fix memory leak on packet cleanup; the back-reference via the header
    attribute (with xbody) caused the garbage collector not to clean a packet,
    so the header is now explicitly cleaned via Net::DNS::Packet::DESTROY
  - Fix TSIG initialization: uninitialised algorithm attribute caused
    signature generation to fail silently when creating a TSIG signed packet

* Thu Dec 13 2012 Paul Howarth <paul@city-fan.org> - 0.70-2.0.cf
- Update to 0.70_1
  - Disambiguate ANY in rr_del auxilliary function (CPAN RT#81869)
  - Fix test failures on Perl 5.8.5 .. 5.8.8 due to lc(), uc() and case
    insensitive regex matching being broken for UTF8 (CPAN RT#81756)
  - NXDOMAIN no longer reported by $resolver->errorstring (CPAN RT#81787)
  - Allow zero in format, tag and algorithm fields of CERT RR (CPAN RT#81814)
  - Substitute last owner for leading spaces in multiline zonefile RR
    (CPAN RT#81786)
  - Make use of new extended header modus operandi for OPT records also in the
    resolver, preventing a warning (CPAN RT#77444)
- Drop warnings patch, issue now fixed upstream
- Drop provides filter, no longer needed

* Thu Dec  6 2012 Paul Howarth <paul@city-fan.org> - 0.70-1.0.cf
- Update to 0.70
  - Add NID L32 L64 LP resource records + unit tests to MANIFEST
- Include demo files as documentation

* Thu Dec  6 2012 Paul Howarth <paul@city-fan.org> - 0.69-1.0.cf
- Update to 0.69 (see Changes for details)
- Win32 resolvers renamed, so fix up %%exclude entries
- Drop BR: perl(Text::ParseWords), no longer needed
- Add patch to inhibit warnings on Perl 5.8 that are not only ugly, they break
  the test suite

* Sun Jul  1 2012 Paul Howarth <paul@city-fan.org> - 0.68-2.0.cf
- BR:/R: perl(XSLoader)
- BR: perl(base), perl(Carp), perl(constant), perl(Data::Dumper),
  perl(Digest::HMAC_MD5), perl(Encode), perl(Exporter), perl(File::Spec),
  perl(IO::Select), perl(IO::Socket), perl(IO::Socket::INET), perl(lib),
  perl(MIME::Base64), perl(Net::LibIDN), perl(Socket), perl(Test::More) and
  perl(Text::ParseWords)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation
  - Drop patch for "useless constant" warnings as we always have Perl ≥ 5.8.5

* Wed Feb  1 2012 Paul Howarth <paul@city-fan.org> - 0.68-1.0.cf
- Update to 0.68
  - CPAN RT#72314: Let a Net::DNS::Nameserver bind on
    Net::DNS::Nameserver::DEFAULT_ADDR as a last resort
  - Fix to suppress false warnings about subroutine profiles on ancient
    versions of perl
  - Fix to avoid constants with value undef, which prevents unwanted code from
    being optimized away on ancient versions of perl
  - Fix code error in PTR.pm, canonical RDATA not downcased
  - Enhancement to clarify the function of parse and data methods, by renaming
    them to decode and encode respectively
  - Feature IDN query support: Queries for domain names containing non-ASCII
    characters are now possible on Unicode platforms with CPAN Net::LibIDN
    installed
  - Introduction of Mailbox.pm module that will be used in the future to
    represent RDATA components containing DNS coded RFC822 mailbox addresses
  - Introduction of Text.pm module that will be used in the future to represent
    RDATA components containing text
- Update patch to suppress "useless use of constant in void context" warnings

* Mon Nov  7 2011 Paul Howarth <paul@city-fan.org> - 0.67-1.0.cf
- Update to 0.67 (lots of bugfixes and enhancements - see Changes for details)
- Drop now-redundant build requirement perl(Net::IP)
- Add patch to suppress highly verbose "useless use of constant in void
  context" warnings with perl < 5.8.5

* Tue Jul  5 2011 Paul Howarth <paul@city-fan.org> - 0.66-4.0.cf
- Rebuild for perl 5.14.1 in Rawhide
- Fix provides filter to work with rpm 4.9 properly
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun  3 2011 Paul Howarth <paul@city-fan.org> - 0.66-3.0.cf
- Use patch rather than iconv to fix ChangeLog encoding
- Nobody else likes macros for commands

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.66-2.1.cf
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> - 0.66-2.0.cf
- Fix dist tag to work with RHEL6 Beta

* Wed Dec 30 2009 Paul Howarth <paul@city-fan.org> - 0.66-1.0.cf
- Update to 0.66 (lots of bugfixes and enhancements - see Changes for details)
- BR: perl(Digest::SHA)
- Dist tag for Rawhide no longer needs special-casing

* Tue Sep 22 2009 Paul Howarth <paul@city-fan.org> - 0.65-1.2.cf
- Use %%{?perl_default_filter} for provides filtering

* Mon Mar  2 2009 Paul Howarth <paul@city-fan.org> - 0.65-1.1.cf
- Filter out unwanted provides for perl shared objects
- Update to SLES-compatible dist tag macros

* Tue Jan 27 2009 Paul Howarth <paul@city-fan.org> - 0.65-1.0.CF
- Update to 0.65

* Thu Jan 22 2009 Paul Howarth <paul@city-fan.org> - 0.64-1.0.CF
- Update to 0.64
- Tweak dist tag macros to work on Rawhide with three-part releasenum
- Use Makefile.PL options to supply answers to build-time questions instead of
  piping in answers from a separate shell

* Mon Feb 11 2008 Paul Howarth <paul@city-fan.org> - 0.63-1.0.CF
- Update to 0.63

* Wed Jan  2 2008 Paul Howarth <paul@city-fan.org> - 0.62-1.0.CF
- Update to 0.62

* Fri Dec 21 2007 Paul Howarth <paul@city-fan.org> - 0.61-4.0.CF
- Split Nameserver.pm into subpackage, per recommendation from
  upstream maintainer Dick Franks.
  - Separates the server bits from the client bits.
  - Removes the dependancy on perl(Net::IP) from perl-Net-DNS
- Recode Changes file as UTF8
- Add buildreq perl(IO::Socket::INET6) for extra test cover
- Don't package Cygwin resolver

* Thu Aug  2 2007 Paul Howarth <paul@city-fan.org> - 0.61-1
- Update to 0.61
- Clarify license as GPL+ (GPL v1 or later) or Artistic (same as perl)

* Mon Jun 25 2007 Paul Howarth <paul@city-fan.org> - 0.60-1
- Update to 0.60

* Tue Jun  5 2007 Paul Howarth <paul@city-fan.org> - 0.59-3
- Fix dist tag for Fedora 7 onwards
- Add buildreq perl(ExtUtils::MakeMaker)

* Tue Oct  3 2006 Paul Howarth <paul@city-fan.org> - 0.59-2
- Rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Paul Howarth <paul@city-fan.org> - 0.59-1
- Update to 0.59
- Fix argument order for find with -depth

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> - 0.58-2
- Fix distribution tags for development releases

* Wed Jul  5 2006 Paul Howarth <paul@city-fan.org> - 0.58-1
- Update to 0.58
- Define %%{__id_u} in a more portable way

* Mon Feb 27 2006 Paul Howarth <paul@city-fan.org> - 0.57-1
- Update to 0.57
- inet6 test now fixed upstream and doesn't need patching

* Tue Feb 21 2006 Paul Howarth <paul@city-fan.org> - 0.56-1
- Update to 0.56
- Support building on CentOS
- Fix inet6 test, broken if IPV6 support not enabled

* Wed Dec 14 2005 Paul Howarth <paul@city-fan.org> - 0.55-1
- Update to 0.55

* Thu Dec  8 2005 Paul Howarth <paul@city-fan.org> - 0.54-1
- Update to 0.54
- Remove macros __perl_version and __perl_package
- Remove buildroot unconditionally in %%clean and %%install
- Simplify distribution-detection
- Use sed to modify MANIFEST rather than scripting arpund grep
- Simplify compiler optmization flag setup
- Don't use macros in paths for build-time commands, hardcode them instead
- Own directories properly
- Add buildreqs perl(Test::Pod) and perl(Digest::BubbleBabble) for tests

* Tue Jul 26 2005 Paul Howarth <paul@city-fan.org> - 0.53-1
- Update to 0.53

* Mon Jul  4 2005 Paul Howarth <paul@city-fan.org> - 0.52-1
- Update to 0.52

* Fri Jun 24 2005 Paul Howarth <paul@city-fan.org> - 0.51_02-1
- Update to 0.51_02
- Rewrite spec file in (mainly) Fedora Extras style
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Add perl(Net::IP) buildrequire

* Fri Apr  1 2005 Paul Howarth <paul@city-fan.org> - 0.49-1
- Update to 0.49

* Tue Aug 24 2004 Paul Howarth <paul@city-fan.org> - 0.48-1
- Update to 0.48
- Tidy up of spec file

* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> - 0.47-1
- Update to 0.47
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuilt from the source RPM
- Changed distribution-identifying macros for greater portability

* Fri Feb 27 2004 Paul Howarth <paul@city-fan.org> - 0.46-1
- Update to 0.46

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> - 0.45-2
- Unified spec file for Red Hat and Fedora Core

* Fri Jan 09 2004 Paul Howarth <paul@city-fan.org> - 0.45-1.fc1
- Update to 0.45
- Removed buildarch: noarch as there is now compiled C in this module
- Remove Win32.pm that creates bad dependency
- Updated specfile to use more macros and add fedora-release dependency

* Mon Oct 20 2003 Chip Turner <cturner@redhat.com> - 0.31-3.2
- Fix interactive build issue

* Mon Jan 27 2003 Chip Turner <cturner@redhat.com>
- Version bump and rebuild

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- Update to latest version from CPAN

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- Automated release bump and build

* Tue Aug  6 2002 Chip Turner <cturner@localhost.localdomain>
- Update to 0.26

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- Description update

* Sat Jun 15 2002 cturner@redhat.com
- Specfile autogenerated

